package data_manage

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type ChartInfoLog struct {
	ChartInfoLogId  int    `orm:"column(chart_info_log_id);pk"`
	ChartInfoId     int    `description:"图表id"`
	ChartName       string `description:"来源名称"`
	ChartClassifyId int    `description:"图表分类id"`
	SysUserId       int
	SysUserRealName string
	UniqueCode      string `description:"图表唯一编码"`
	CreateTime      time.Time
	Content         string `description:"内容"`
	Status          string `description:"状态"`
	Method          string `description:"执行方法"`
}

func AddChartInfoLog(item *ChartInfoLog) (lastId int64, err error) {
	o := orm.NewOrmUsingDB("data")
	lastId, err = o.Insert(item)
	return
}
